<?php
namespace Schaffen\Gef\Models;

use App\Models\SCHModel;

class ContratoVeiculo extends SCHModel{

   protected $useValidateRules = true;
   protected $rules = [
   'cov_fk_vei_codigo' => 'integer',
   'cov_fk_con_codigo' => 'integer',
   ];

   protected $validationMessages = [
   'cov_fk_vei_codigo.integer' => "O formato do campo 'fk_vei_codigo' é inválido (informar número inteiro).",
   'cov_fk_con_codigo.integer' => "O formato do campo 'fk_con_codigo' é inválido (informar número inteiro).",
   ];

   protected $table = "ged.contrato_veiculo";
   protected $primaryKey = "cov_codigo";
   protected $fillable = ["cov_fk_vei_codigo","cov_fk_con_codigo"];
   const CREATED_AT = "created_at";
   const CREATED_BY = "created_by";

}
